Index: pacemaker/pengine/test10/remote-stale-node-entry.exp
===================================================================
--- pacemaker.orig/pengine/test10/remote-stale-node-entry.exp
+++ pacemaker/pengine/test10/remote-stale-node-entry.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="39" operation="monitor" operation_key="Fencing_monitor_120000" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
+        <attributes CRM_meta_interval="120000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="38" operation="start" operation_key="Fencing_start_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="60000"  delay="0" pcmk_arg_map="domain:uname"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000"  delay="0" pcmk_arg_map="domain:uname"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -35,7 +35,7 @@
     <action_set>
       <rsc_op id="26" operation="monitor" operation_key="Fencing_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -44,7 +44,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="Fencing_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="Fencing_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="120000"  delay="0" pcmk_arg_map="domain:uname"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -62,7 +62,7 @@
     <action_set>
       <rsc_op id="40" operation="start" operation_key="FencingPass_start_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="FencingPass" class="stonith" type="fence_dummy"/>
-        <attributes CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -81,7 +81,7 @@
     <action_set>
       <rsc_op id="27" operation="monitor" operation_key="FencingPass_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="FencingPass" class="stonith" type="fence_dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -90,7 +90,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="FencingPass_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="FencingPass" class="stonith" type="fence_dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -99,7 +99,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="FencingPass_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="FencingPass" class="stonith" type="fence_dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  mode="pass" pcmk_host_list="rhel7-node1 rhel7-node2 rhel7-node3" random_sleep_range="30"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -108,7 +108,7 @@
     <action_set>
       <rsc_op id="42" operation="monitor" operation_key="rsc_rhel7-node1_monitor_5000" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="rsc_rhel7-node1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -121,7 +121,7 @@
     <action_set>
       <rsc_op id="41" operation="start" operation_key="rsc_rhel7-node1_start_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="rsc_rhel7-node1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -140,7 +140,7 @@
     <action_set>
       <rsc_op id="28" operation="monitor" operation_key="rsc_rhel7-node1_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="rsc_rhel7-node1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -149,7 +149,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="rsc_rhel7-node1_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="rsc_rhel7-node1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -158,7 +158,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc_rhel7-node1_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="rsc_rhel7-node1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.201"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -167,7 +167,7 @@
     <action_set>
       <rsc_op id="44" operation="monitor" operation_key="rsc_rhel7-node2_monitor_5000" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="rsc_rhel7-node2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -180,7 +180,7 @@
     <action_set>
       <rsc_op id="43" operation="start" operation_key="rsc_rhel7-node2_start_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="rsc_rhel7-node2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -199,7 +199,7 @@
     <action_set>
       <rsc_op id="29" operation="monitor" operation_key="rsc_rhel7-node2_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="rsc_rhel7-node2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -208,7 +208,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="rsc_rhel7-node2_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="rsc_rhel7-node2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -217,7 +217,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc_rhel7-node2_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="rsc_rhel7-node2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.202"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -226,7 +226,7 @@
     <action_set>
       <rsc_op id="46" operation="monitor" operation_key="rsc_rhel7-node3_monitor_5000" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="rsc_rhel7-node3" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -239,7 +239,7 @@
     <action_set>
       <rsc_op id="45" operation="start" operation_key="rsc_rhel7-node3_start_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="rsc_rhel7-node3" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -258,7 +258,7 @@
     <action_set>
       <rsc_op id="30" operation="monitor" operation_key="rsc_rhel7-node3_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="rsc_rhel7-node3" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -267,7 +267,7 @@
     <action_set>
       <rsc_op id="18" operation="monitor" operation_key="rsc_rhel7-node3_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="rsc_rhel7-node3" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -276,7 +276,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="rsc_rhel7-node3_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="rsc_rhel7-node3" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.203"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -285,7 +285,7 @@
     <action_set>
       <rsc_op id="48" operation="monitor" operation_key="migrator_monitor_10000" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="90000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -298,7 +298,7 @@
     <action_set>
       <rsc_op id="47" operation="start" operation_key="migrator_start_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="90000" />
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -317,7 +317,7 @@
     <action_set>
       <rsc_op id="31" operation="monitor" operation_key="migrator_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" />
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -326,7 +326,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="migrator_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" />
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -335,7 +335,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="migrator_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="migrator" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" />
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -344,7 +344,7 @@
     <action_set>
       <rsc_op id="50" operation="monitor" operation_key="ping-1:0_monitor_60000" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -357,7 +357,7 @@
     <action_set>
       <rsc_op id="49" operation="start" operation_key="ping-1:0_start_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -370,7 +370,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="ping-1:0_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="ping-1" long-id="ping-1:0" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -379,7 +379,7 @@
     <action_set>
       <rsc_op id="52" operation="monitor" operation_key="ping-1:1_monitor_60000" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="ping-1" long-id="ping-1:1" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -392,7 +392,7 @@
     <action_set>
       <rsc_op id="51" operation="start" operation_key="ping-1:1_start_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="ping-1" long-id="ping-1:1" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -405,7 +405,7 @@
     <action_set>
       <rsc_op id="20" operation="monitor" operation_key="ping-1:1_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="ping-1" long-id="ping-1:1" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -414,7 +414,7 @@
     <action_set>
       <rsc_op id="54" operation="monitor" operation_key="ping-1:2_monitor_60000" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="ping-1" long-id="ping-1:2" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -427,7 +427,7 @@
     <action_set>
       <rsc_op id="53" operation="start" operation_key="ping-1:2_start_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="ping-1" long-id="ping-1:2" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -440,7 +440,7 @@
     <action_set>
       <rsc_op id="32" operation="monitor" operation_key="ping-1:2_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="ping-1" long-id="ping-1:2" class="ocf" provider="pacemaker" type="ping"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000"  debug="true" host_list="192.168.122.171" name="connected"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -488,7 +488,7 @@
     <action_set>
       <rsc_op id="33" operation="monitor" operation_key="stateful-1:0_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -497,7 +497,7 @@
     <action_set>
       <rsc_op id="21" operation="monitor" operation_key="stateful-1:0_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -506,7 +506,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="stateful-1:0_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="stateful-1" long-id="stateful-1:0" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -515,7 +515,7 @@
     <action_set>
       <rsc_op id="34" operation="monitor" operation_key="r192.168.122.204_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="r192.168.122.204" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.204"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.204"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -524,7 +524,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="r192.168.122.204_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="r192.168.122.204" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.204"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.204"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -533,7 +533,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="r192.168.122.204_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="r192.168.122.204" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.204"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.204"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -542,7 +542,7 @@
     <action_set>
       <rsc_op id="35" operation="monitor" operation_key="r192.168.122.205_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="r192.168.122.205" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.205"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.205"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -551,7 +551,7 @@
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="r192.168.122.205_monitor_0" on_node="rhel7-node2" on_node_uuid="2">
         <primitive id="r192.168.122.205" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.205"/>
+        <attributes CRM_meta_on_node="rhel7-node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.205"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -560,7 +560,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="r192.168.122.205_monitor_0" on_node="rhel7-node1" on_node_uuid="1">
         <primitive id="r192.168.122.205" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.205"/>
+        <attributes CRM_meta_on_node="rhel7-node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.205"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -569,7 +569,7 @@
     <action_set>
       <rsc_op id="36" operation="monitor" operation_key="r192.168.122.206_monitor_0" on_node="rhel7-node3" on_node_uuid="3">
         <primitive id="r192.168.122.206" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.206"/>
+        <attributes CRM_meta_on_node="rhel7-node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="90000" cidr_netmask="32"  ip="192.168.122.206"/>
       </rsc_op>
     </action_set>
     <inputs/>
